Bug 1013201 - SELinux is preventing /usr/sbin/alsactl from using the 'sys_nice' capabilities.
SELinux is preventing /usr/sbin/alsactl from using the 'sys_nice' capabilities.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:cdcbdeae9c2542eccdd3171d54b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 05:29 EDT by Will Tisdale
Modified: 2015-06-29 21:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 21:33:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Tisdale 2013-09-28 05:29:34 EDT
Description of problem:
SELinux is preventing /usr/sbin/alsactl from using the 'sys_nice' capabilities.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that alsactl should have the sys_nice capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep alsactl /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:alsa_t:s0
Target Context                system_u:system_r:alsa_t:s0
Target Objects                 [ capability ]
Source                        alsactl
Source Path                   /usr/sbin/alsactl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           alsa-utils-1.0.27.2-3.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-83.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.1-300.preempt.ck.fc20.x86_64
                              #1 SMP PREEMPT Fri Sep 27 10:08:58 BST 2013 x86_64
                              x86_64
Alert Count                   1
First Seen                    2013-09-28 10:09:59 BST
Last Seen                     2013-09-28 10:09:59 BST
Local ID                      14087fd0-9b8d-48eb-84a0-0322617e2743

Raw Audit Messages
type=AVC msg=audit(1380359399.504:10): avc:  denied  { sys_nice } for  pid=475 comm="alsactl" capability=23  scontext=system_u:system_r:alsa_t:s0 tcontext=system_u:system_r:alsa_t:s0 tclass=capability


type=AVC msg=audit(1380359399.504:10): avc:  denied  { sys_nice } for  pid=475 comm="alsactl" capability=23  scontext=system_u:system_r:alsa_t:s0 tcontext=system_u:system_r:alsa_t:s0 tclass=capability


type=SYSCALL msg=audit(1380359399.504:10): arch=x86_64 syscall=sched_setscheduler success=yes exit=0 a0=0 a1=2 a2=7fffa1681d80 a3=ffffffffffffffaa items=0 ppid=1 pid=475 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=alsactl exe=/usr/sbin/alsactl subj=system_u:system_r:alsa_t:s0 key=(null)

Hash: alsactl,alsa_t,alsa_t,capability,sys_nice

Additional info:
reporter:       libreport-2.1.7
hashmarkername: setroubleshoot
kernel:         3.11.1-300.preempt.ck.fc20.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-09-28 06:49:17 EDT
fe85e4014403cbb88fab4b196bef59b87fb95aed fixes this in git.
Comment 3 Lukas Vrabec 2013-09-30 08:29:08 EDT
Hi Will, 

We fixed this bug. Fix will be included in the new version of selinux-policy package.
Comment 4 Fedora Update System 2013-09-30 17:09:20 EDT
selinux-policy-3.12.1-84.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-17722/selinux-policy-3.12.1-84.fc20
Comment 5 Fedora Update System 2013-10-02 02:41:38 EDT
Package selinux-policy-3.12.1-84.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-84.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17722/selinux-policy-3.12.1-84.fc20
then log in and leave karma (feedback).
Comment 6 Fedora End Of Life 2015-05-29 05:28:10 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 21:33:25 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.